﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Uniriotec.DC.RTSP
{
    public static class RTSPHelper
    {
        public static string GetActionText(RTSPAction action)
        {
            string value = String.Empty;

            switch (action)
            {
                case RTSPAction.PAUSE: value = "PAUSE"; break;
                case RTSPAction.PLAY: value = "PLAY"; break;
                case RTSPAction.SETUP: value = "SETUP"; break;
                case RTSPAction.TEARDOWN: value = "TEARDOWN"; break;
                case RTSPAction.UNKNOWN: value = "UNKNOWN"; break;
            }

            return value;

        }

    }
}
